/***************************************************************************
 *   Copyright (C) 2009 by Sergey Yakushev                                 *
 *   yakushevs@list.ru                                                     *
 *                                                                         *
 *   This is file define vrp plugins settings		                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef VRPPLUGIN_DIRECTIONEDITORMAPTOOL_H
#define VRPPLUGIN_DIRECTIONEDITORMAPTOOL_H

//  QT includes

// Qgis includes
#include "qgsmaptool.h"

// standart includes

// forward declaration Qgis-classes
class VrpPluginSettings;

/**
@author Sergey Yakushev
*/
/**
 * \class VrpPluginSettings
 * \brief This class implement direction editor map tool
 */
class VrpPluginDirectionEditorMapTool : public QgsMapTool
{
	Q_OBJECT
public:
	VrpPluginDirectionEditorMapTool( QgsMapCanvas *theCanvas, VrpPluginSettings& s );
	
	~VrpPluginDirectionEditorMapTool( );
	
	virtual void canvasPressEvent( QMouseEvent * );
	virtual bool isEditTool();
private:
	VrpPluginSettings & mSettings;
};

#endif
